
Lookup Editor - Feature #701

Implement limit on excessively large lookup files

02/18/2014 08:02 AM - Luke Murphey

Status: Closed Start date: 02/18/2014

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.6   

Description

History

#1 - 02/21/2014 06:30 PM - Luke Murphey

- File lookup_files.zip added

#2 - 02/21/2014 07:01 PM - Luke Murphey

See http://www.mockaroo.com/

#3 - 02/21/2014 11:11 PM - Luke Murphey

Looks like the editor can handle 10 MB files fine.

#4 - 02/22/2014 12:12 AM - Luke Murphey

Some analysis:

File Size Rows Time to Load (ms) Time to Save

101 KB 1k 209 120

1 MB 10k 452 618

10 MB 100k 2640 4486

52 MB 500k 13086 Error

103 MB 1m 30101 Did not test

It appears that large files can be loaded, but not saved. I think a limit of around 10 MB would be appropriate.

#5 - 02/22/2014 02:28 AM - Luke Murphey

- Status changed from New to In Progress

#6 - 02/22/2014 02:32 AM - Luke Murphey

I can think of a couple ways of handling this:

1. Implement a REST API that provides the size of the file; have the editor stop loading the file if it is too big
2. Have the controller use a code to indicate that the file is too large; return only the first few rows

Method 1:

Pro: Can show the size of the file in the interface

Con: will add a slight latency to the UI

Method 2:

Pro: Allows peeking into the file (first few rows)

Con: Not as clean of a design (since you have to know how to interpret the response codes)

#7 - 02/22/2014 08:04 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Files are limited to 10 MB

#8 - 02/22/2014 08:06 AM - Luke Murphey

- Target version changed from 1.0 to 0.6

Files

lookup_files.zip 3.73 MB 02/21/2014 Luke Murphey
